Autor Thema: [PYTHON] Fehler beim installieren des Modules pymssql  (Gelesen 1362 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

Offline HuRRiCaNe

  • Neuling
  • *
  • Beiträge: 26
  • Desktop: XFCE4
  • Kernel: x86_64 Linux 4.19.0-4-MANJARO
  • Skill: Durchschnitt
Guten Abend,

habe ein Problem mit Python bzw einem Modul.

Ich habe mir ein script geschrieben, welches das Modul pymssql importiert.

Über pip bekomme ich aber dauernd Fehlermeldungen angezeigt. Laut recherche soll python-dev abhelfen, aber leider gibt es dies nicht für Arch/Manjaro.

PS: gcc ist installiert

hier der Fehler/-meldung:

Collecting pymssql
  Using cached pymssql-2.1.3.tar.gz
Installing collected packages: pymssql
  Running setup.py install for pymssql ... error
    Complete output from command /usr/bin/python -u -c "import setuptools, tokenize;__file__='/tmp/pip-build-e67eycce/pymssql/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, __file__, 'exec'))" install --record /tmp/pip-n_1m1wqu-record/install-record.txt --single-version-externally-managed --compile:
    setup.py: platform.system() => 'Linux'
    setup.py: platform.architecture() => ('64bit', 'ELF')
    setup.py: platform.linux_distribution() => ('', '', '')
    setup.py: platform.libc_ver() => ('glibc', '2.3.4')
    setup.py: Not using bundled FreeTDS
    setup.py: include_dirs = ['/usr/local/include']
    setup.py: library_dirs = ['/usr/local/lib']
    running install
    running build
    running build_ext
    building '_mssql' extension
    creating build
    creating build/temp.linux-x86_64-3.6
    gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wall -Wstrict-prototypes -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -fPIC -I/usr/local/include -I/usr/include/python3.6m -c _mssql.c -o build/temp.linux-x86_64-3.6/_mssql.o -DMSDBLIB
    _mssql.c:266:10: schwerwiegender Fehler: sqlfront.h: Datei oder Verzeichnis nicht gefunden
     #include "sqlfront.h"
              ^~~~~~~~~~~~
    Kompilierung beendet.
    error: command 'gcc' failed with exit status 1
   
    ----------------------------------------
Command "/usr/bin/python -u -c "import setuptools, tokenize;__file__='/tmp/pip-build-e67eycce/pymssql/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, __file__, 'exec'))" install --record /tmp/pip-n_1m1wqu-record/install-record.txt --single-version-externally-managed --compile" failed with error code 1 in /tmp/pip-build-e67eycce/pymssql/


Kennt jemand das Problem und kann mir ggf. helfen?


Vielen dank schon mal 8)

Offline HuRRiCaNe

  • Neuling
  • *
  • Beiträge: 26
  • Desktop: XFCE4
  • Kernel: x86_64 Linux 4.19.0-4-MANJARO
  • Skill: Durchschnitt
Re: [PYTHON] Fehler beim installieren des Modules pymssql
« Antwort #1 am: 01. Juli 2017, 15:09:47 »
freetds funktionier, aber bei pymssql bekomm ich immer noch den gleichen Fehler.

Vielleicht liegts am Python 3.6 ?

Selbst Idle lässt sich nicht öffnen :(

Traceback (most recent call last):
  File "/usr/lib/python3.6/idlelib/pyshell.py", line 4, in <module>
    from tkinter import *
  File "/usr/lib/python3.6/tkinter/__init__.py", line 36, in <module>
    import _tkinter # If this fails your Python may not be configured for Tk
ImportError: libtk8.6.so: cannot open shared object file: No such file or directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/idle", line 3, in <module>
    from idlelib.pyshell import main
  File "/usr/lib/python3.6/idlelib/pyshell.py", line 7, in <module>
    "Your Python may not be configured for Tk. **", file=sys.__stderr__)
NameError: name 'sys' is not defined

irgendwas stimmt mit meinem python scheinbar nicht?!

Jemand ne Idee?


Offline vetzki

  • Sr. Mitglied
  • ****
  • Beiträge: 437
  • Dankeschön: 67 mal
  • Skill: Durchschnitt
Re: [PYTHON] Fehler beim installieren des Modules pymssql
« Antwort #2 am: 02. Juli 2017, 10:14:59 »
zu deinem idle fehler, schau mal ob du das paket tk installiert hast https://www.archlinux.org/packages/extra/x86_64/tk/